tqlrelease(1)

NAME
tqlrelease - generate TQt message files from TQt Linguist translation files

SYNOPSIS
tqlrelease [ options ] project-file
tqlrelease [ options ] ts-files [ -qm qm-file ]

DESCRIPTION
This page documents the TQt Linguist Release tool for the TQt GUI toolkit. Lrelease reads a tqmake/tmake project file (.pro file) and converts the translation files (.ts files) specified in it into TQt message files (.qm files) used by the application to translate.

The .qm file format is a compact binary format that provides extremely fast lookups for translations and that is used by Qt.

OPTIONS

-help
    Display the usage and exit.

-nocompress
    Do not compress the .qm files.

-verbose
    Explain what is being done.

-version
    Display the version of tqlrelease and exit.

USAGE
Here is an example .pro file that can be given to tqlrelease:

HEADERS         = funnydialog.h \
                  wackywidget.h
SOURCES         = funnydialog.cpp \
                  main.cpp \
                  wackywidget.cpp
FORMS           = fancybox.ui
TRANSLATIONS    = gnomovision_dk.ts \
                  gnomovision_fi.ts \
                  gnomovision_no.ts \
                  gnomovision_se.ts

When running tqlrelease on this project file, the TQt message files gnomovision_dk.qm, gnomovision_fi.qm, gnomovision_no.qm and gnomovision_se.qm will be generated from gnomovision_dk.ts, gnomovision_fi.ts, gnomovision_no.ts and gnomovision_se.ts, respectively.

Lrelease can also be invoked with a list of .ts files to convert:

tqlrelease gnomovision_*.ts

SEE ALSO
tqlupdate(1) and https://trinitydesktop.org/docs/qt3/i18n.html